import React from 'react';
import { Box, Typography, Paper, List, ListItem, ListItemIcon, ListItemText } from '@mui/material';
import { Search as SearchIcon, Chat as ChatIcon, Assessment as ReportIcon, Scanner as ScannerIcon } from '@mui/icons-material';

const HomePanel = () => {
  return (
    <Box sx={{ 
      p: 3, 
      height: '100%', 
      overflow: 'auto',
      display: 'flex',
      flexDirection: 'column',
      flex: 1,
      minHeight: 0
    }}>
      
      <Paper sx={{ p: 3, mb: 3 }}>
      <Typography variant="h5" gutterBottom>Welcome to Data Hound</Typography>
        <Typography variant="body1" paragraph>
          This application helps you search through your files and interact with their contents using AI assistance.
        </Typography>
        
        <List>
          <ListItem>
            <ListItemIcon>
              <SearchIcon color="primary" />
            </ListItemIcon>
            <ListItemText 
              primary="File Explorer" 
              secondary="Add directories to search through your files" 
            />
          </ListItem>
          <ListItem>
            <ListItemIcon>
              <ChatIcon color="primary" />
            </ListItemIcon>
            <ListItemText 
              primary="Chat" 
              secondary="Ask questions about your files and get AI-powered answers" 
            />
          </ListItem>
          <ListItem>
            <ListItemIcon>
              <ReportIcon color="primary" />
            </ListItemIcon>
            <ListItemText 
              primary="Reports" 
              secondary="Generate detailed reports and statistics about your files" 
            />
          </ListItem>
          <ListItem>
            <ListItemIcon>
              <ScannerIcon color="primary" />
            </ListItemIcon>
            <ListItemText 
              primary="Scanning" 
              secondary="Scan and index your files for faster searching" 
            />
          </ListItem>
        </List>
      </Paper>

      <Paper sx={{ p: 3 }}>
        <Typography variant="h6" gutterBottom>Quick Tips</Typography>
        <List>
          <ListItem>
            <ListItemText 
              primary="• Use the File Explorer to add directories you want to search through"
            />
          </ListItem>
          <ListItem>
            <ListItemText 
              primary="• Generate reports to understand your file distribution and usage"
            />
          </ListItem>
          <ListItem>
            <ListItemText 
              primary="• Ask natural language questions about your files in Chat"
            />
          </ListItem>
        </List>
      </Paper>
    </Box>
  );
};

export default HomePanel;
