import React from 'react';
import { Box, Typography, Paper } from '@mui/material';

const ReportingPanel = () => {
  return (
    <Box sx={{ 
      p: 3, 
      height: '100%', 
      overflow: 'auto',
      display: 'flex',
      flexDirection: 'column',
      flex: 1,
      minHeight: 0
    }}>
      <Paper sx={{ p: 3 }}>
        <Box sx={{ mb: 4 }}>
          <Typography variant="h6" gutterBottom>File Statistics</Typography>
          <Typography variant="body1" paragraph>
            View detailed statistics and insights about your scanned files:
          </Typography>
          <ul style={{ paddingLeft: '24px' }}>
            <li>Total number of files by type</li>
            <li>File size distribution</li>
            <li>Most common file extensions</li>
            <li>Recently modified files</li>
            <li>Duplicate file detection</li>
          </ul>
        </Box>

        <Box>
          <Typography variant="h6" gutterBottom>Export Options</Typography>
          <Typography variant="body1" paragraph>
            Export your file analysis reports in various formats:
          </Typography>
          <ul style={{ paddingLeft: '24px' }}>
            <li>CSV for spreadsheet analysis</li>
            <li>PDF for documentation</li>
            <li>JSON for data processing</li>
          </ul>
        </Box>
      </Paper>
    </Box>
  );
};

export default ReportingPanel;
