import React from 'react';
import {
  TextField,
  Box,
  Typography,
  Paper,
  Switch,
  FormControlLabel,
} from '@mui/material';

export default function SettingsPanel() {
  return (
    <Box sx={{ 
      p: 3, 
      height: '100%', 
      overflow: 'auto',
      display: 'flex',
      flexDirection: 'column',
      flex: 1,
      minHeight: 0
    }}>
      {/* Search Settings */}
      <Paper sx={{ p: 3, mb: 3 }} >
        <Typography variant="h6" gutterBottom>Scan Settings</Typography>
        <FormControlLabel
          control={<Switch defaultChecked />}
          label="Include file contents in search"
          sx={{ mb: 2, display: 'block' }}
        />
        <FormControlLabel
          control={<Switch defaultChecked />}
          label="Include file names in search"
          sx={{ mb: 2, display: 'block' }}
        />
        <FormControlLabel
          control={<Switch defaultChecked />}
          label="Use OCR to extract text from images/pdfs?"
          sx={{ mb: 2, display: 'block' }}
        />
        <FormControlLabel
          control={<Switch defaultChecked />}
          label="Unzip files to check contents?"
          sx={{ mb: 2, display: 'block' }}
        />
        <TextField
          fullWidth
          label="File extensions to ignore"
          placeholder="e.g., .git, .env, node_modules"
          margin="normal"
        />
      </Paper>
      
      {/* Connections Settings */}
      <Paper sx={{ p: 3, mb: 3 }} >
        <Typography variant="h6" gutterBottom>Connections</Typography>
        <FormControlLabel
          control={<Switch disabled />}
          label="Google Drive"
          sx={{ mb: 2, display: 'block' }}
        />
        <FormControlLabel
          control={<Switch disabled />}
          label="Dropbox"
          sx={{ mb: 2, display: 'block' }}
        />
        <FormControlLabel
          control={<Switch disabled />}
          label="Discord"
          sx={{ mb: 2, display: 'block' }}
        />
      </Paper>
    </Box>
  );
}
