import { useContext } from 'react';
import { ElectronContext } from '../contexts/ElectronContext';

export const useElectron = () => {
  const context = useContext(ElectronContext);
  if (!context) {
    throw new Error('useElectron must be used within an ElectronProvider');
  }
  return context;
};
